cURL
curl --request POST \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/hubs \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/hubs"
payload = { "name": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/hubs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"extensions": {}
}hubs
Post organisations hubs
Create a new Hub for the provided organisation. No request body required as all parameters provided by server.
POST
/
organisations
/
{organisationId}
/
hubs
cURL
Authorizations
Path Parameters
Body
application/json
Payload to create a new Hub.
⌘I